Bug 312841 - [XEN]Virtual Machine Manager doesn't enable qemu console of HVM
Summary: [XEN]Virtual Machine Manager doesn't enable qemu console of HVM
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-30 07:21 UTC by Zhao Yunfeng
Modified: 2010-03-14 21:29 UTC (History)
2 users (show)

Fixed In Version: 5.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 01:16:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zhao Yunfeng 2007-09-30 07:21:12 UTC
Description of problem:
On RHEL5.1, Virtual Machine doesn't enable qemu console of HVM.
But in release notes of RHEL5.1, it recommends user using qemu console to 
change cdrom.
User would be confused by that.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 You, Yongkang 2007-10-09 02:45:11 UTC
Hi,

I found there was a conflicted definition in RHEL5.1 RC release note.
Because Qemu monitor can not work in RHEL5.1, so following sections should be
removed from release note.

------
     o Installing a fully virtualized guest using split installation media --
       specifically, multiple CD-ROMs -- may fail when required to switch
       between installation CDs. During the guest OS installation process,
       users may be prevented from mounting or ejecting installation CDs,
       which prevents the installation from completing.
....

         3. Switch to the QEMU monitor console by pressing Ctrl-Alt-2.

         4. Run the command eject hdc.

         5. Run the command change hdc <path to the CD-ROM in host system>.

         6. Switch back to the guest OS console by pressing Ctrl-Alt-1.

       Note that when using a regular VNC client the host X server may
       encounter some difficulty interpreting the Ctrl-Alt-2 and Ctrl-Alt-1
       command. To work around this in virt-manager, use sticky keys.
       Pressing Ctrl three times makes it "sticky" until the next
       non-modifier is pressed. As such, to send Ctrl-Alt-1, press Ctrl twice
       before pressing Ctrl-Alt-1.

--------

Comment 2 Daniel Berrange 2007-11-07 15:45:34 UTC
The release notes are bogus. The QEMU monitor console is disabled as it is a
huge security hole if accessible over VNC. This release note needs to be removed.


Comment 3 RHEL Product and Program Management 2007-11-07 15:54:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Don Domingo 2007-11-09 01:16:23 UTC
hmmm... this note is no longer in the RHEL5.1GA release notes. what we do have,
however, is this:

<quote>
Installing Red Hat Enterprise Linux 5.1 using split installation media (for
example, CD or NFSISO) no longer causes an error in the installation of
amanda-server.
</quote>

i tried searching through the RHEL5.1 release notes and couldn't find the string
"QEMU" either. i'm closing this bug as CLOSED CURRENTRELEASE then.

Comment 5 Don Domingo 2007-11-09 01:18:19 UTC
FYR, the RHEL5.1 release notes mockup can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u1relnotesmockup.html


Note You need to log in before you can comment on or make changes to this bug.